Package twisted :: Package spread :: Package ui :: Module gtk2util :: Class LoginDialog

[frames | no frames]

## Class LoginDialog

    GladeKeeper --+
                  |
                 LoginDialog

Method Summary
| `__init__(self, client, deferred, defaults)`
| `_cancelled(self)`
| `_cbGotPerspective(self, perspective)`
| `_doLogin(self)`
| `_ebFailedLogin(self, reason)`
| `_on_advancedButton_toggled(self, widget, userdata)`
| `_on_loginDialog_close(self, widget, userdata)`
| `_on_loginDialog_destroy_event(self, widget, userdata)`
| `_on_loginDialog_response(self, widget, response)`
| `_setWidgets(self)`
| `_windowClosed(self, reason)`
| `setDefaults(self, defaults)`
| `statusMsg(self, text)`

Class Variable Summary
`list` | `_advancedControls` = `['perspectiveLabel', 'perspectiveNam...`
list of strings | `_widgets`: Widgets that should be attached to me as attributes.
`list` | `fields` = `['host', 'port', 'identityName', 'password', 'p...`
str | `gladefile`: The file in which the glade GUI definition is kept.

Class Variable Details

### _advancedControls

  Type:
    `list`
  Value:

        ['perspectiveLabel', 'perspectiveNameEntry', 'protocolLabel', 'version\
        Label']

### _widgets

Widgets that should be attached to me as attributes.

  Type:
    list of strings
  Value:

        ('hostEntry',
         'portEntry',
         'identityNameEntry',
         'passwordEntry',
         'perspectiveNameEntry',
         'statusBar',
         'loginDialog')

### fields

  Type:
    `list`
  Value:

        ['host', 'port', 'identityName', 'password', 'perspectiveName']

### gladefile

The file in which the glade GUI definition is kept.

  Type:
    str
  Value:

        '/home/radix/rel/Twisted.exp/twisted/spread/ui/login2.glade'

Generated by Epydoc 2.0 on Sat May 15 20:08:19 2004 | http://epydoc.sf.net